System.ServiceModel 4.0.0.0 System.Object To be added.

Defines a certificate used by a service to identify itself.

- Property
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Certificate2 To be added.

  This property is used to get or set the certificate used to represent the service.

  Gets or sets the certificate to use for representing the service when communicating back to the client.

- Method
  4.0.0.0
  System.Void ``

  For more information on the parameter, see .

  Specifies the certificate to use for representing the service by specifying the subject distinguished name.

  Subject distinguished name.
- Method
  4.0.0.0
  System.Void `` `` ``

  For more information on the parameter, see .

  Values for are included in the enumeration:

  : the certificate store assigned to the local machine (default).

  : the certificate store used by the current user.

  If the client application is running under a system account, then the certificate is typically in . If the client application is running under a user account, then the certificate is typically in .

  Values for are included in the enumeration.

  Specifies the certificate to use for representing the service by specifying the subject distinguished name, the certificate store name and store location.

  Subject distinguished name. The location of the certificate store the service uses to obtain the service certificate. Specifies the name of the X.509 certificate store to open.
- Method
  4.0.0.0
  System.Void `` `` `` ``

  Values for are included in the enumeration:

  : the certificate store assigned to the local machine (default).

  : the certificate store used by the current user.

  If the client application is running under a system account, then the certificate is typically in . If the client application is running under a user account, then the certificate is typically in .

  Values for are included in the enumeration.

  Values for are included in the enumeration.

  The most commonly used enumeration is , which does a case-insensitive search on the subject name of certificates in the specified store. This can be an imprecise search. If more than one certificate is returned then the first one matching the find is used to represent the client.

  Specifies the certificate to use for representing the service by specifying query parameters such as , , and .

  The location of the certificate store the client uses to obtain the client certificate. Specifies the name of the X.509 certificate store to open. Defines the type of X.509 search to be executed. The value to search for in the X.509 certificate store.